<header>
  <section class="container-fluid ucsd-head visible-desktop">
    <a class="pull-right ucsd-head-logo" href="http://www.ucsd.edu"><%=image_tag "/images/logo-ucsd-header-xl.png", :alt => "UC San Diego" %></a>
    <%= link_to 'Library Digital Collections', root_path, :class => 'brand' %>
  </section>
  <section class="navbar navbar-inverse">
    <div class="navbar-inner">

      <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </a>

      <%= link_to 'Library Digital Collections', root_path, :class => 'brand hidden-desktop' %>

      <nav class="nav-collapse collapse">

        <ul class="nav">
          <li class="visible-desktop"><%= link_to 'Home', root_path %></li>

          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">About <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><%= link_to 'Library Digital Collections', view_page_path('about') %></li>
              <li><%= link_to 'Collections Context', view_page_path('collections_context') %></li>
              <li><%= link_to 'Digital Content Policies', view_page_path('collection_policies') %></li>
              <li><%= link_to 'Take Down Policy', view_page_path('takedown') %></li>
              <li><%= link_to 'Statistics', 'https://library.ucsd.edu/damsmanager/stats.do' %></li>
            </ul>
          </li>

          <!-- Link to general browse by collection, format and topic page -->
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Browse By <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><%= link_to 'Collection', dams_collections_path(:'f[type_sim]' => 'Collection', :'sort' => 'title_ssi asc') %></li>
              <li><%= link_to 'Creator', catalog_facet_path("creator_sim", :'facet.sort' => 'index', :'facet.prefix' => 'A') %></li>
              <li><%= link_to 'Format', catalog_facet_path("object_type_sim", :'facet.sort' => 'index') %></li>
              <li><%= link_to 'Topic', catalog_facet_path("subject_topic_sim", :'facet.sort' => 'index', :'facet.prefix' => 'A') %></li>
            </ul>
          </li>

         <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Help <b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li><%= link_to 'Deposit your Research Data', 'https://lib.ucsd.edu/publish-data' %></li>
              <li><%= link_to 'FAQ', view_page_path('faq') %></li>
              <li><%= link_to 'Search Tips', view_page_path('search_tips')%></li>
              <li><%= link_to 'Contact', contact_path %></li>
            </ul>
          </li>

          <%if current_user && current_user.provider != 'anonymous'  %>
          <!-- use an image bug to keep the Shibboleth session alive -->
              <img src="https://a4.ucsd.edu/tritON/imagebug">
            <li><%= link_to 'Bookmarks', bookmarks_path %></li>
            <% if current_user.work_authorizations_count > 0 %>
              <li><%= link_to 'Authorized Works', work_authorizations_path %></li>
            <% end %>
            <li><%= link_to 'Sign Out', destroy_user_session_path %></li>
          <% else %>
            <li><%= link_to 'Sign In', new_user_session_path %></li>
          <% end %>

          <li><%= link_to 'The Library', 'https://library.ucsd.edu/' %></li>

        </ul>
      </nav>
    </div>
  </section>

  <% unless defined?(hideSearch) %>
    <%= render :partial => 'layouts/search_bar' %>
	<%end%>

</header>
